Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 194552 - new PORTAGE_BINHOST protocol
Summary: new PORTAGE_BINHOST protocol
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: .tbz2 support (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 108448 133908 199413 216231
  Show dependency tree
 
Reported: 2007-10-02 20:40 UTC by Zac Medico
Modified: 2010-09-23 01:55 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2007-10-02 20:40:03 UTC
The original PORTAGE_BINHOST protocol, which is uses a remote ${PKGDIR}/All/ directory listing to download all the metadata chunks from each individual package, needs to be replaced due to inefficiency (bug #108448) and file collision issues (bug #133908).

Main requirements:

 1) Server side generation of a package metadata index (similar
    to genpkgindex from gentoolkit) to solve bug #108448.

 2) Resolve package file name collisions between packages from
    different categories (bug #133908)

Both of the above are already implemented in trunk. The package
metadata index is generated as packages are built, and there is
also a `emaint --fix binhost` command that can be used to
update, prune, or regenerate the index. The file collisions are
currently handled by using separate category directories, with
no ${PKGDIR}/All directory.

Anyone who would like to try the current implementation may
may want to consult our "how to obtain and test development
versions" doc:

http://www.gentoo.org/proj/en/portage/doc/testing.xml
Comment 1 Marius Mauch (RETIRED) gentoo-dev 2008-03-20 18:14:53 UTC
This is supposed to be fixed in portage-2.2_pre5 or earlier.
Comment 2 Marius Mauch (RETIRED) gentoo-dev 2008-03-20 18:15:32 UTC
This is supposed to be fixed in portage-2.2_pre5 or earlier.